## NAME

r.out.png - Export a GRASS raster map as a non-georeferenced PNG image.

## KEYWORDS

raster, export, PNG

## SYNOPSIS

r.out.png
r.out.png --help
r.out.png [-tw] input=name output=name [compression=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-t
  Make NULL cells transparent
-w
  Output world file
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
output=name [required]
  Name for new PNG file (use '-' for stdout)
compression=integer
  Compression level of PNG file
  (0 = none, 1 = fastest, 9 = best)
  Options: 0-9
  Default: 6

## DESCRIPTION

r.out.png exports a GRASS raster map in non-georeferenced PNG image format, respecting the current region resolution and bounds.

Optionally the user can choose to export a World File to provide basic georeferencing support. When used with the transparency flag this can create images useful for KML, TMS, or WMS overlays. (e.g. for use in Google Earth or as OpenLayers tiles) If output is to stdout, the world file will be called `png_map.wld`.

## SEE ALSO

r.out.gdal, r.out.ppm, r.out.ascii, r.in.png

## AUTHORS

Alex Shevlakov
Hamish Bowman

Last changed: $Date: 2014-11-01 20:59:34 +0100 (so, 01 11 2014) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual